{ pkgs, inputs, ... }:
{
  imports = [
    ./hardware-configuration.nix

    "${inputs.self}/modules/mizukios/base"
    "${inputs.self}/modules/mizukios/features/system/boot.nix"
    "${inputs.self}/modules/mizukios/features/fonts.nix"
    "${inputs.self}/modules/mizukios/features/packages.nix"
    "${inputs.self}/modules/mizukios/features/plasma.nix"
    "${inputs.self}/modules/mizukios/features/system/sound.nix"
    "${inputs.self}/modules/mizukios/features/catppuccin.nix"
    "${inputs.self}/modules/mizukios/features/figma-agent.nix"
    "${inputs.self}/modules/mizukios/features/management/cockpit.nix"
    "${inputs.self}/modules/mizukios/features/system/bluetooth.nix"
    "${inputs.self}/modules/mizukios/features/system/graphics.nix"
    "${inputs.self}/modules/mizukios/features/remote/ssh.nix"
    "${inputs.self}/modules/mizukios/features/system/virtualisation.nix"
    "${inputs.self}/modules/mizukios/features/steam.nix"
    "${inputs.self}/modules/mizukios/features/remote/sunshine.nix"
    "${inputs.self}/modules/mizukios/features/waydroid.nix"
  ];

  networking = {
    hostName = "mizuki";
    networkmanager.enable = true;
    firewall.enable = false;
    interfaces = {
      enp3s0 = {
        wakeOnLan.enable = true;
      };
    };
  };

  services.caddy = {
    enable = true;
    virtualHosts."http://broadcast.epc.mizuki.arpa".extraConfig = ''
      @preflight method OPTIONS

      header {
        Access-Control-Allow-Origin *
        Access-Control-Allow-Methods "GET, POST, PUT, PATCH, DELETE, OPTIONS"
        Access-Control-Allow-Headers *
      }

      respond @preflight "" 204

      reverse_proxy 127.0.0.1:6769
    '';
  };

  services.printing = {
    enable = true;
    drivers = with pkgs; [
      cups-filters
      cups-browsed
      pantum-driver
    ];
  };

  services.flatpak.enable = true;

  system.stateVersion = "26.05";
}
